package org.lx.demo;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import org.lx.gui.dui.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003-2005</p>
 * <p>Company: </p>
 * @author UILOGIC
 * @version 1.0
 */

public class demoBridge
{
  public demoBridge()
  {
  }

  public static class ExitAction implements ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      System.out.print("close action:quit");
      System.exit(0);
    }
  }

  public static void main(String[] argv)
  {
    ComFactory factory = ComFactory.createInstance();
    String file = "/org/lx/demo/demoBridge.xml";
    CompositeRenders renders = new CompositeRenders();
    JDialog dialog = new JDialog();
    //1. provide the closeAction
    DefaultListenerRender listenerRender = new DefaultListenerRender();
    listenerRender.addListener("closeAction", new ExitAction());

    renders.setListenerRender(listenerRender);
    //2. create the dialog1
    AbstractCom ac = factory.createComponent(file, "id",
                                             "demoDlg1", renders);
    ComBridge bridge = new ComBridge();
    bridge.add(ac);
    dialog.setContentPane( (Container) ac.getComponent());
    dialog.setTitle("demoDlg1");
    dialog.pack();
    dialog.setDefaultCloseOperation(dialog.EXIT_ON_CLOSE);
    dialog.show();
    dialog.setLocationRelativeTo(null);

    //3. create the dialog2
    ac = factory.createComponent(file, "id", "demoDlg2", renders);
    bridge.add(ac);
    dialog = new JDialog();
    dialog.setTitle("demoDlg2");
    dialog.setContentPane( (Container) ac.getComponent());
    dialog.pack();
    dialog.setDefaultCloseOperation(dialog.EXIT_ON_CLOSE);

    dialog.show();
    dialog.setLocationRelativeTo(null);

  }
}