package org.lx.demo;

import java.io.*;
import java.awt.event.*;
import javax.swing.*;

import org.lx.gui.*;
import org.lx.gui.dui.*;

public class demoAction
{
  public static class readDataAction extends AbstractDUIListener implements
      ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      AbstractCom root = getComponent().getRoot();
      AbstractCom editor = root.findChildRecursively("name", "editor");
      if (editor != null)
      {
        JTextArea ta = (JTextArea) editor.getComponent();
        ta.setText("your info read from data source");
      }

    }

  }

  public static void main(String[] argv)
  {
    ComFactory factroy = ComFactory.createInstance();
    CompositeRenders renders = new CompositeRenders();
    DefaultListenerRender listenerRender = new DefaultListenerRender();
    //install your action to swing component.
    listenerRender.addListener("readData", new readDataAction());
    renders.setListenerRender(listenerRender);
    Reader reader = new InputStreamReader(
        demoAction.class.getResourceAsStream(
        "/org/lx/demo/demoAction.xml"));
    factroy.showDialog(reader, "id", "demoAction", renders, null, true);
    System.exit(0);
  }
}